package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.ClassGroupTypeEnum;
import com.ym.mec.biz.dal.enums.YesOrNoEnum;

import io.swagger.annotations.ApiModelProperty;

import org.apache.commons.lang3.builder.ToStringBuilder;

import java.math.BigDecimal;

/**
 * 对应数据库表(teacher_default_music_group_salary):
 */
public class TeacherDefaultMusicGroupSalary {

	/**  */
	private Long id;
	
	/**  */
	@ApiModelProperty(value = "教师编号",required = false)
	private Integer userId;
	
	/** 班级类型（参照 class_group表的type_字段） */
	@ApiModelProperty(value = "班级类型",required = false)
	private ClassGroupTypeEnum classGroupType;
	
	/**  */
	@ApiModelProperty(value = "专业技能",required = false)
	private Integer subjectId;
	
	/** 主教薪酬 */
	@ApiModelProperty(value = "主教薪酬",required = false)
	private BigDecimal mainTeacherSalary;
	
	/** 助教薪酬 */
	@ApiModelProperty(value = "助教薪酬",required = false)
	private BigDecimal assistantTeacherSalary;

	@ApiModelProperty(value = "是否删除该条数据",required = false)
	private YesOrNoEnum delFlag;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;

	public YesOrNoEnum getDelFlag() {
		return delFlag;
	}

	public void setDelFlag(YesOrNoEnum delFlag) {
		this.delFlag = delFlag;
	}

	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setUserId(Integer userId){
		this.userId = userId;
	}
	
	public Integer getUserId(){
		return this.userId;
	}

	public ClassGroupTypeEnum getClassGroupType() {
		return classGroupType;
	}

	public void setClassGroupType(ClassGroupTypeEnum classGroupType) {
		this.classGroupType = classGroupType;
	}

	public void setSubjectId(Integer subjectId){
		this.subjectId = subjectId;
	}
	
	public Integer getSubjectId(){
		return this.subjectId;
	}

	public BigDecimal getMainTeacherSalary() {
		return mainTeacherSalary;
	}

	public void setMainTeacherSalary(BigDecimal mainTeacherSalary) {
		this.mainTeacherSalary = mainTeacherSalary;
	}

	public BigDecimal getAssistantTeacherSalary() {
		return assistantTeacherSalary;
	}

	public void setAssistantTeacherSalary(BigDecimal assistantTeacherSalary) {
		this.assistantTeacherSalary = assistantTeacherSalary;
	}

	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
